## eject-2.0.13.tar.gz

=== po/Makefile ===
PKGNAME=eject
PREFIX=$(DESTDIR)/usr
INSTALL = install
MODIR = $(PREFIX)/share/locale
POTFILES = ../*.c ../*.h
POFILES= *.po
D_NLS= zh_TW.Big5

all:

install: $(POFILES)
	files='$(POFILES)'; \
	for file in $$files;do \
	  LOCALENAME=`echo $$file |sed 's/\.po$$//g'`; \
	  echo installing $$LOCALENAME ; \
	  MOPATH=$(MODIR)/$$LOCALENAME/LC_MESSAGES; \
	  if [ ! -d $$MOPATH ] ;then  \
	     mkdir -p $$MOPATH; \
	  fi; \
	  msgfmt $$file -o $$MOPATH/$(PKGNAME).mo; \
	done

pot:
	xgettext --keyword=_ --keyword=N_ $(POTFILES) -o $(PKGNAME).pot ;\
	if [ -f $(PKGNAME).pot ];then \
	   if [ ! -f $(D_NLS).po ];then \
	      cp $(PKGNAME).pot $(D_NLS).po ;\
	   else   \
	      msgmerge $(D_NLS).po $(PKGNAME).pot -o $(D_NLS).po.tmp$$ ;\
	      mv -fv $(D_NLS).po.tmp$$ $(D_NLS).po ;\
	   fi ;\
	fi

merge:	*.po $(PKGNAME).pot
	echo $<
	for i in $< ;do \
	   NN=`echo $$i |sed "s/\.po$$//g"` ;\
	   echo $$i $$NN ;\
	   msgmerge $$i $(PKGNAME).pot -o $$i.tmp.$$;\
	   mv $$i.tmp.$$ $$i -vf;\
	done

clean:
	rm -fv $(PKGNAME).mo.*

distclean: clean

distdir:

=== debian/changelog ===
eject (2.0.12-1) unstable; urgency=low

  * New upstream release. (closes: #155172, #114148)
  * Update copyright file. (closes: #133493)
  * Update to standards version 3.5.7.

 -- Martin Mitchell <martin@debian.org>  Sat,  7 Sep 2002 01:13:13 +1000

eject (2.0.3-1) unstable; urgency=low

  * New upstream release, with kernel 2.4 support. (closes: #88379)
  * Correct manpage syntax. (closes: #90283)

 -- Martin Mitchell <martin@debian.org>  Wed, 25 Apr 2001 12:07:56 +1000

eject (2.0.2-2) unstable; urgency=low

  * Update copyright information.
  * Update to standards version 3.2.1. (closes: #80747, #82132, #82215)
  * Patch to ignore commented fstab lines. (closes: #66810)
  * Test with recent kernels to confirm behavior. (closes: #65755)
  * Change to section utils. (closes: #74465)
  * Support multiple symlinks. (closes: #80596)

 -- Martin Mitchell <martin@debian.org>  Sun, 28 Jan 2001 12:55:17 +1100

eject (2.0.2-1) unstable; urgency=low

  * New upstream release. (closes: #34477)
  * Fix already open behaviour. (closes: #34021)
  * New code for cd changers. (closes: #18280)

 -- Martin Mitchell <martin@debian.org>  Wed, 17 Mar 1999 00:38:31 +1100

eject (1.5-8) unstable; urgency=low

  * Minor source changes for powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Thu,  3 Sep 1998 01:56:40 +1000

eject (1.5-7) unstable; urgency=low

  * Fix ejecting for /dev/scd devices. (#22706)

 -- Martin Mitchell <martin@debian.org>  Sun, 14 Jun 1998 17:50:50 +1000

eject (1.5-6) frozen unstable; urgency=low

  * Fix -u option for unmounting before ejecting. (#18234)
  * Update to standards version 2.4.1.

 -- Martin Mitchell <martin@debian.org>  Tue, 12 May 1998 05:33:40 +1000

eject (1.5-5) unstable; urgency=low

  * Fix -u option when device was mounted as a symlink. (#12078)

 -- Martin Mitchell <martin@debian.org>  Wed, 10 Dec 1997 05:08:42 +1100

eject (1.5-4) unstable; urgency=low

  * Update to standards version 2.3.0.1.

 -- Martin Mitchell <martin@debian.org>  Wed, 26 Nov 1997 17:18:30 +1100

eject (1.5-3) unstable; urgency=low

  * New maintainer.

 -- Martin Mitchell <martin@debian.org>  Wed, 26 Nov 1997 17:05:32 +1100

eject (1.5-2.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Sat, 15 Nov 1997 01:56:15 +1100

eject (1.5-2) unstable; urgency=low

  * Change of maintainer

 -- Benedikt Eric Heinen <beh@icemark.ch>  Mon, 9 Jun 1997 06:39:57 +0200

eject (1.5-1) unstable; urgency=low

  * New upstream release
  * debmake

 -- Christoph Lameter <clameter@debian.org>  Sat, 8 Feb 1997 19:47:17 -0800

eject (1.4-2) unstable; urgency=low

  * Missing newline at the end of debian/control

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Sep 1996 14:51:46 +0800

eject (1.4-1) unstable; urgency=low

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Sep 1996 14:51:46 +0800

=== debian/control ===
Source: eject
Section: utils
Priority: optional
Maintainer: Martin Mitchell <martin@debian.org>
Standards-Version: 3.5.7

Package: eject
Architecture: any
Depends: ${shlibs:Depends}
Description: ejects CDs and operates CD-Changers under Linux
 This little program will eject CD-ROMs (assuming your drive supports
 the CDROMEJECT ioctl). It also allows setting the autoeject feature,
 currently supported by a number of the Linux CD-ROM drivers. See the
 documentation in /usr/src/linux/Documentation for more information on
 the autoeject feature.
 .
 On supported ATAPI/IDE multi-disc CD-ROM changers, it allows changing
 the active disc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules build file for eject copyright Martin Mitchell 2001.
# this file is placed under the GNU GPL.

package=eject
STRIP=strip --strip-unneeded --remove-section=.note --remove-section=.comment

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) CFLAGS="-Wall -O2 -g"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/share/doc/eject debian/tmp/usr/share/man/man1
	install -m 755 eject debian/tmp/usr/bin/eject
	install -m 644 eject.1 debian/tmp/usr/share/man/man1
	$(STRIP) debian/tmp/usr/bin/eject
	install -m 755 volname debian/tmp/usr/bin/volname
	install -m 644 volname.1 debian/tmp/usr/share/man/man1
	$(STRIP) debian/tmp/usr/bin/volname
	gzip -9v debian/tmp/usr/share/man/man1/*
	cp ChangeLog README debian/tmp/usr/share/doc/eject
	cp debian/changelog debian/tmp/usr/share/doc/eject/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/eject/*
	cd debian/tmp/usr/share/doc/eject && ln -s ChangeLog.gz changelog.gz
	cp debian/copyright debian/tmp/usr/share/doc/eject
	dpkg-shlibdeps debian/tmp/usr/bin/eject
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
